<?php 
   require('connect/db.php');
   db_connect() or die ("Houve erro ao acessar estes dados!");

   session_start();

   if($_SESSION['nivel'] == 1){  

      $querySelectArquivo = " SELECT 
                                resposta 
                              FROM
                                crm_resposta 
                              WHERE SHA1(id_resposta) = '".$_GET['ref']."'
                              AND status = '1'";

      $selectArquivo = mysql_query($querySelectArquivo);

      if(mysql_num_rows($selectArquivo) > 0){
         $arquivo = "arquivos/crm/".mysql_result($selectArquivo, 0, 0);
      }
   }

   if($_SESSION['nivel'] == 2){  

      $querySelectArquivo = " SELECT 
                                resposta 
                              FROM
                                crm_resposta 
                              WHERE SHA1(id_resposta) = '".$_GET['ref']."'
                              AND id_cliente = '".$_SESSION['idUser']."'
                              AND status = '1'";

      $selectArquivo = mysql_query($querySelectArquivo);

      if(mysql_num_rows($selectArquivo) > 0){
         $arquivo = "arquivos/crm/".mysql_result($selectArquivo, 0, 0);
         $queryUpdateBaixado = " UPDATE 
                                   crm_resposta 
                                 SET
                                   down = '1',
                                   data_down = CURRENT_TIMESTAMP 
                                 WHERE SHA1(id_resposta) = '".$_GET['ref']."'";

         $updateBaixado = mysql_query($queryUpdateBaixado);
      }
   }


   if(isset($arquivo) && file_exists($arquivo)){

      switch(strtolower(substr(strrchr(basename($arquivo),"."),1))){
         case "pdf": $tipo="application/pdf"; break;
         case "exe": $tipo="application/octet-stream"; break;
         case "zip": $tipo="application/zip"; break;
         case "doc": $tipo="application/msword"; break;
         case "xls": $tipo="application/vnd.ms-excel"; break;
         case "ppt": $tipo="application/vnd.ms-powerpoint"; break;
         case "gif": $tipo="image/gif"; break;
         case "png": $tipo="image/png"; break;
         case "jpg": $tipo="image/jpg"; break;
         case "mp3": $tipo="audio/mpeg"; break;
         case "php": // deixar vazio por seurança
         case "htm": // deixar vazio por seurança
         case "html": // deixar vazio por seurança
      }

      header("Content-Type: ".$tipo); // informa o tipo do arquivo ao navegador
      header("Content-Length: ".filesize($arquivo)); // informa o tamanho do arquivo ao navegador
      header("Content-Disposition: attachment; filename=".basename($arquivo)); // informa ao navegador que é tipo anexo e faz abrir a janela de download, tambem informa o nome do arquivo
      readfile($arquivo); // lê o arquivo
      exit; // aborta pós-ações   
   }
   
  
?>